GroovyParser.CreatorContext (Groovy 4.0.10)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.CreatorContext

- org.apache.groovy.parser.antlr4.GroovyParser.CreatorContext

-     public static class GroovyParser.CreatorContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CreatorContext(ParserRuleContext parent, int invokingState)`
    `CreatorContext(ParserRuleContext parent, int invokingState, int t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.AnonymousInnerClassDeclarationContext` | `anonymousInnerClassDeclaration()`
    `` | `public GroovyParser.ArgumentsContext` | `arguments()`
    `` | `public GroovyParser.ArrayInitializerContext` | `arrayInitializer()`
    `` | `public GroovyParser.CreatedNameContext` | `createdName()`
    `` | `public List<? extends DimContext>` | `dim()`
    `` | `public GroovyParser.DimContext` | `dim(int i)`
    `` | `public int` | `getRuleIndex()`
    `` | `public NlsContext` | `nls()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public CreatorContext(ParserRuleContext parent, int invokingState)

    - #### public CreatorContext(ParserRuleContext parent, int invokingState, int t)

  - ### Method Detail

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.AnonymousInnerClassDeclarationContext anonymousInnerClassDeclaration()

    - #### public GroovyParser.ArgumentsContext arguments()

    - #### public GroovyParser.ArrayInitializerContext arrayInitializer()

    - #### public GroovyParser.CreatedNameContext createdName()

    - #### public List<? extends DimContext> dim()

    - #### public GroovyParser.DimContext dim(int i)

    - #### @Override
      public int getRuleIndex()

    - #### public NlsContext nls()